#include "buss.h"

using namespace std;

Buss::Buss() : Rute() {
    lesData();
}

Buss::~Buss() {
}

void Buss::lesData() {
    int valg;
    // cout << "\nAntall sitteplasser: ";
    antallSitteplasser = lesInt("Antall sitteplasser", MIN_ANTALL_SITTEPLASSER,
                                MAX_ANTALL_SITTEPLASSER);
    andtallStaplasser = lesInt("Antall ståplasser", MIN_ANTALL_STAPLASSER,
                               MAX_ANTALL_STAPLASSER);
    do {
        valg = lesChar("Leddbuss (J/n)");
    } while (valg != 'J' && valg != 'N');

    if (valg == 'J')
        leddbuss = true;
    else
        leddbuss = false;
}

void Buss::skrivData() {
    cout << "\n..::Buss info::.." << '\n';
    cout << "Antall sitteplasser: " << antallSitteplasser << '\n'
    << "Antall ståplasser:" << andtallStaplasser << '\n'
    << "Er leddbuss: ";
    if (leddbuss) cout << "Ja";
    else cout << "Nei";
    cout << '\n';
}

void Buss::skrivType(){
    std::cout<<"Buss";
    }

void Buss::skrivDataForlengs() {
    skrivType();
    skrivData();
    Rute::skrivDataForlengs();
}

void Buss::skrivDataBaklengs() {
    skrivType();
    skrivData();
    Rute::skrivDataBaklengs();
}