#ifndef __STOPPESTED_H
#define __STOPPESTED_H

#include <iostream>
#include <string>
#include <vector>

#include "hjelpeFunksjoner.h"
#include "konstanter.h"
#include "lesData3.h"
//#include "stoppesteder.h"

class Stoppested {
   private:
    HjelpeFunksjoner hjelp;
    std::string navn;
    std::vector<int> indexNaboStoppene;
    std::vector<int> antallMinutterTilNaboStopp;

   public:
    Stoppested();
    Stoppested(const std::string & navn, const bool & leggeTilTid);
    Stoppested(const int & index, const std::string & navn);
    ~Stoppested();
    // void ny();
    void skrivData();
    void skrivNavn();
    void lesData();
    std::string hentNavn();
    void skrivDataMedNaboer(std::vector<Stoppested*> alleStoppesteder);
    int hentTidNaboStopp();
    int hentNaboStoppIndex(const bool & siste);
    void leggTilNaboStopp(const int & index, const int & minutter);
    void lesTid();
    void leggTilIndex(const int & index);
    void leggTilTid(const int & minutter);
    void slettVectorer();
    int hentIndex();
    void fjernForsteNabo();
    void fjernSisteNabo();
    void leggTilNaboFremst(const int & index, const int & tid);
    void leggTilNaboBakerst(const int & index, const int & tid);
    int hentAntallStoppestedVector();
    int hentTidForsteNabo();
};
#endif  //__STOPPESTED_H